Aggiornamenti mirati

Il ritrovo della comunità dove confrontarsi e discutere sulle notizie dal mondo dell'informatica, di Ubuntu e di tutto quello che la riguarda, novità, pettegolezzi e quant'altro.

Re: [solo esperti]Aggiornamenti mirati

Messaggioda a323109 » lunedì 11 giugno 2018, 18:08

wilecoyote Immagine ha scritto::) Salve,

pachisapiu ha scritto:OMG ora è pericoloso nano ?


Non saprei se lo è, però non è il caso di scoprire che succede a metterlo fuori posto oppure a creare un file con sintassi fantasy.

:ciao: Ciao


Ti preoccupi troppo secondo me.

Gia' solo capire come salvare dopo modificato ci ho messo mezz'ora :lol:
Quelli anche se riescono a creare un file fantasy poi non lo salvano eheh
Posted by John Titor on 01-27-2001 12:45 PM Greetings. I am a time traveler from the year 2036. I am on my way home after getting an IBM 5100 computer system from the year 1975. My “time” machine is a stationary mass, temporal displacement unit manufactured by General Electric. The unit is powered by two, top-spin, dual-positive singularities that produce a standard, off-set Tipler sinusoid. I will be happy to post pictures of the unit.
Avatar utente
a323109
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 918
Iscrizione: luglio 2013
Località: Area 51
Desktop: Openbox
Distribuzione: Cosmic
Sesso: Maschile

Re: Aggiornamenti mirati

Messaggioda a323109 » martedì 12 giugno 2018, 8:54

Mi sto lentamente avvicinando a una soluzione...

Il pacchetto che rompe le scatole e' modemmanager

Codice: Seleziona tutto
root@linux:/home/matrix# apt-mark showhold
language-selector-common
libgif7
libgoa-1.0-0b
libgoa-1.0-common
libgoa-backend-1.0-1
libhttp-message-perl
libmbim-glib4
libmbim-proxy
libmm-glib0
libqmi-glib5
libqmi-proxy
libraw16
libtalloc2
libtevent0
libxkbcommon-x11-0
libxkbcommon0
modemmanager
python-apt-common
python-talloc
python3-apt
python3-update-manager
update-manager-core
root@linux:/home/matrix#


Per ricavare informazioni provo a installarlo anche se so' che e' gia' installato:

Codice: Seleziona tutto
root@linux:/home/matrix# apt install modemmanager
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 modemmanager : Dipende: libmm-glib0 (>= 1.7.990) ma la versione 1.6.8-2ubuntu1 sta per essere installata
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
root@linux:/home/matrix#


Non ci sono pacchetti danneggiati, li ho bloccati io volonariamente :p

modemmanager : Dipende: libmm-glib0 (>= 1.7.990)


La domanda e':

Se sblocco tutto tranne modemmanager e libmm-glib0 che succede ???

E' che essendo Cosmic ancora in sviluppo non si riesce a capire da cosa dipende e cosa dipende da lui https://packages.ubuntu.com/xenial/modemmanager
Al massimo ci sono manuali per versioni gia' rilasciate :sisi:

Codice: Seleziona tutto
root@linux:/home/matrix# apt-mark unhold libgif7 libgoa-1.0-0b libgoa-1.0-common libgoa-backend-1.0-1 libhttp-message-perl libmbim-glib4 libmbim-proxy
Blocco su libgif7 annullato.
Blocco su libgoa-1.0-0b annullato.
Blocco su libgoa-1.0-common annullato.
Blocco su libgoa-backend-1.0-1 annullato.
Blocco su libhttp-message-perl annullato.
Blocco su libmbim-glib4 annullato.
Blocco su libmbim-proxy annullato.
root@linux:/home/matrix#


In teoria posso sbloccare fino a libmm-glib0 escluso.

Codice: Seleziona tutto
root@linux:/home/matrix# apt-mark unhold libgif7 libgoa-1.0-0b libgoa-1.0-common libgoa-backend-1.0-1 libhttp-message-perl libmbim-glib4 libmbim-proxy
Blocco su libgif7 annullato.
Blocco su libgoa-1.0-0b annullato.
Blocco su libgoa-1.0-common annullato.
Blocco su libgoa-backend-1.0-1 annullato.
Blocco su libhttp-message-perl annullato.
Blocco su libmbim-glib4 annullato.
Blocco su libmbim-proxy annullato.
root@linux:/home/matrix#


Andata! Internet c'e' ancora :birra:

Codice: Seleziona tutto
root@linux:/home/matrix# apt update && apt-get upgrade -y && apt autoremove -y
Trovato:1 http://it.archive.ubuntu.com/ubuntu cosmic InRelease                 
Trovato:2 http://it.archive.ubuntu.com/ubuntu cosmic-updates InRelease         
Trovato:3 http://security.ubuntu.com/ubuntu cosmic-security InRelease         
Trovato:4 http://it.archive.ubuntu.com/ubuntu cosmic-backports InRelease       
Lettura elenco dei pacchetti... Fatto                 
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
23 pacchetti possono essere aggiornati: eseguire "apt list --upgradable" per vederli.
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
I seguenti pacchetti sono stati mantenuti alla versione attuale:
  language-selector-common language-selector-gnome libmm-glib0 libqmi-glib5
  libqmi-proxy libraw16 libtalloc2 libtevent0 libxkbcommon-x11-0 libxkbcommon0
  modemmanager python-apt-common python-talloc python3-apt
  python3-update-manager update-manager-core
I seguenti pacchetti saranno aggiornati:
  libgif7 libgoa-1.0-0b libgoa-1.0-common libgoa-backend-1.0-1
  libhttp-message-perl libmbim-glib4 libmbim-proxy
7 aggiornati, 0 installati, 0 da rimuovere e 16 non aggiornati.
È necessario scaricare 363 kB di archivi.
Dopo quest'operazione, verranno occupati 14,3 kB di spazio su disco.
Scaricamento di:1 http://it.archive.ubuntu.com/ubuntu cosmic/main amd64 libgif7 amd64 5.1.4-3 [30,6 kB]
Scaricamento di:2 http://it.archive.ubuntu.com/ubuntu cosmic/main amd64 libgoa-1.0-common all 3.28.0-0ubuntu3 [3.960 B]
Scaricamento di:3 http://it.archive.ubuntu.com/ubuntu cosmic/main amd64 libgoa-1.0-0b amd64 3.28.0-0ubuntu3 [62,5 kB]
Scaricamento di:4 http://it.archive.ubuntu.com/ubuntu cosmic/main amd64 libgoa-backend-1.0-1 amd64 3.28.0-0ubuntu3 [116 kB]
Scaricamento di:5 http://it.archive.ubuntu.com/ubuntu cosmic/main amd64 libhttp-message-perl all 6.18-1 [75,3 kB]
Scaricamento di:6 http://it.archive.ubuntu.com/ubuntu cosmic/main amd64 libmbim-proxy amd64 1.16.0-1 [5.576 B]
Scaricamento di:7 http://it.archive.ubuntu.com/ubuntu cosmic/main amd64 libmbim-glib4 amd64 1.16.0-1 [68,3 kB]
Recuperati 363 kB in 5s (76,3 kB/s)     
(Lettura del database... 181946 file e directory attualmente installati.)
Preparativi per estrarre .../0-libgif7_5.1.4-3_amd64.deb...
Estrazione di libgif7:amd64 (5.1.4-3) su (5.1.4-2)...
Preparativi per estrarre .../1-libgoa-1.0-common_3.28.0-0ubuntu3_all.deb...
Estrazione di libgoa-1.0-common (3.28.0-0ubuntu3) su (3.28.0-0ubuntu2)...
Preparativi per estrarre .../2-libgoa-1.0-0b_3.28.0-0ubuntu3_amd64.deb...
Estrazione di libgoa-1.0-0b:amd64 (3.28.0-0ubuntu3) su (3.28.0-0ubuntu2)...
Preparativi per estrarre .../3-libgoa-backend-1.0-1_3.28.0-0ubuntu3_amd64.deb...
Estrazione di libgoa-backend-1.0-1:amd64 (3.28.0-0ubuntu3) su (3.28.0-0ubuntu2)...
Preparativi per estrarre .../4-libhttp-message-perl_6.18-1_all.deb...
Estrazione di libhttp-message-perl (6.18-1) su (6.16-1)...
Preparativi per estrarre .../5-libmbim-proxy_1.16.0-1_amd64.deb...
Estrazione di libmbim-proxy (1.16.0-1) su (1.14.2-2.1ubuntu1)...
Preparativi per estrarre .../6-libmbim-glib4_1.16.0-1_amd64.deb...
Estrazione di libmbim-glib4:amd64 (1.16.0-1) su (1.14.2-2.1ubuntu1)...
Configurazione di libmbim-glib4:amd64 (1.16.0-1)...
Elaborazione dei trigger per libglib2.0-0:amd64 (2.56.1-2ubuntu1)...
Configurazione di libgif7:amd64 (5.1.4-3)...
Configurazione di libmbim-proxy (1.16.0-1)...
Elaborazione dei trigger per libc-bin (2.27-3ubuntu1)...
Elaborazione dei trigger per man-db (2.8.3-2)...
Configurazione di libhttp-message-perl (6.18-1)...
Configurazione di libgoa-1.0-common (3.28.0-0ubuntu3)...
Configurazione di libgoa-1.0-0b:amd64 (3.28.0-0ubuntu3)...
Configurazione di libgoa-backend-1.0-1:amd64 (3.28.0-0ubuntu3)...
Elaborazione dei trigger per libc-bin (2.27-3ubuntu1)...
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 16 non aggiornati.
root@linux:/home/matrix#


seguendo la stessa logica ho ridotto il numeri dei pacchetti "hold" a questi

Codice: Seleziona tutto
root@linux:/home/matrix# apt-mark showhold
language-selector-common
libmm-glib0
libqmi-glib5
libqmi-proxy
libraw16
libtalloc2
libtevent0
libxkbcommon-x11-0
libxkbcommon0
modemmanager
root@linux:/home/matrix#


==============================================================

Ne rimangono solo 2 bloccati!

Codice: Seleziona tutto
root@linux:/home/matrix# apt-mark showhold
libmm-glib0
modemmanager
root@linux:/home/matrix#


Se aggiorno quelli addio Internet :sisi:
Comunque c'e' un modo di trovare le dipendenze dei vari pacchetti anche su Cosmic https://packages.ubuntu.com/cosmic/libqmi-glib5
Diaciamo che la documentazione non manca solo che e' in Inglese...dettagli...

Ricapitolando :sgrat:

Se dopo un aggiornamento un pacchetto da' problemi bisogna individuarlo e bloccarlo poi simulare una installazione e vedere che altro vuole quel particolare pacchetto.

Codice: Seleziona tutto
root@linux:/home/matrix# apt-get install modemmanager
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 modemmanager : Dipende: libmm-glib0 (>= 1.7.990) ma la versione 1.6.8-2ubuntu1 sta per essere installata
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
root@linux:/home/matrix#


Nel mio caso devo lasciare bloccati solo 2 pacchetti modemmanager e libmm-glib0
Posted by John Titor on 01-27-2001 12:45 PM Greetings. I am a time traveler from the year 2036. I am on my way home after getting an IBM 5100 computer system from the year 1975. My “time” machine is a stationary mass, temporal displacement unit manufactured by General Electric. The unit is powered by two, top-spin, dual-positive singularities that produce a standard, off-set Tipler sinusoid. I will be happy to post pictures of the unit.
Avatar utente
a323109
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 918
Iscrizione: luglio 2013
Località: Area 51
Desktop: Openbox
Distribuzione: Cosmic
Sesso: Maschile

Precedente

Torna a Bar Ubuntu

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 8 ospiti